{% extends 'admin/base.html.twig' %}

{% block title %}modify n{{ad.id}}{% endblock %}

{%form_theme form _self%}

{% block body %}

<div class="container-fluid">
<h1>modify n{{ad.id}}</h1>

{{form_start(form)}}

<div class="row">

<div class="col">
<div class="card bg-light">
<div class="card-header">
<h4 class="card-title">corigez annonce</h4>
</div>
<div class="card-body">
{{form_widget(form)}}
<button type="submit" class="btn btn-success" >commit</button>
</div></div></div>

<div class="col">

<div class="card bg-light">
<div class="card-header">
<h4 class="card-title">reservation</h4>
</div>
<div class="card-body">
<table class="table">
<thead><tr>
<th>id</th>
<th>voyageur</th>
<th>date de reservation</th>
<th></th>
</tr></thead>
<tbody>
{%for booking in ad.bookings%}
<tr>
<td>{{booking.id}}</td>
<td>{{booking.booker.firstName}}</td>
<td>{{booking.createdAt | date('d/m/Y H:i')}}</td>
<td><a href="" class="btn btn-primary">edit</a></td>
</tr>{%endfor%}
</tbody>
</table>
</div></div>

<div class="card bg-light">
<div class="card-header">
<h4 class="card-title">comments</h4>
</div>
<div class="card-body">
<table class="table">
<thead><tr>
<th>id</th>
<th>voyageur</th>
<th>note</th>
<th>comment</th>
<th></th>
</tr></thead>
<tbody>
{%for comment in ad.comments%}
<tr>
<td>{{comment.id}}</td>
<td>{{comment.author.firstName}}</td>
<td>{{comment.rating}}</td>
<td>{{comment.content}}</td>
<td><a href="" class="btn btn-primary">edit</a></td>
</tr>{%endfor%}
</tbody>
</table>
</div></div></div>

</div>

{{form_end(form)}}
{% endblock %}


{%block _ad_images_widget%}
{{form_widget(form)}}
{% endblock %}

{%block _ad_images_entry_row%}
<div id="block_{{id}}">
{{form_widget(form)}}</div>
{% endblock %}

{%block _ad_images_entry_widget%}
<div class="row align-items-center">
<div class="col-4">
{%if value%}
<img src="../../../{{value.url}}" class="img-fluid">
{%endif%}
</div>
<div class="col-6">
{{form_row(form.caption)}}
{{form_row(form.url)}}
</div>
<div class="col">
<button type="button" class="btn btn-danger" data-action="delete" data-target="#block_{{id}}">del</button>
</div>
</div>
{% endblock %}

{%block javascripts %}
<script>
$(document).ready(function(){
$('[data-action="delete"]').on('click',function(){
const target=this.dataset.target;
$(target).remove();
});
});
</script>
{% endblock %}
